      module refinement_control
      use rc_parameters
      use adaptive  

       type CLUSTER
         type(CLUSTER),pointer        :: clnext        
         type(ADAPTIVE_MESH),pointer  :: clprnt
         real,dimension(3)          :: clrmin
         real,dimension(3)          :: clrmax
       end type CLUSTER 

      end module refinement_control


